import { CodeSnippetOptions, CustomEntryOptions, OperationInfoOptions, ParametersOptions, ResponseEntryOptions, ModelOptions, PropertyOptions } from '../decorator-options';
import { CodeSnippetsArgs, CustomEntryArgs, ModelArgs, OperationInfoArgs, ParametersArgs, ResponseEntryArgs, TagsArgs, PropertyArgs } from './types';
export declare class Storage {
    operationInfo: OperationInfoArgs[];
    customEntry: CustomEntryArgs[];
    codeSnippets: CodeSnippetsArgs[];
    tags: TagsArgs[];
    parameters: ParametersArgs[];
    responseEntries: ResponseEntryArgs[];
    models: ModelArgs[];
    properties: PropertyArgs[];
    filterOperationInfoByTarget(target: Function, method: string): Array<OperationInfoOptions>;
    filterCustomEntryByTarget(target: Function, method: string): Array<CustomEntryOptions>;
    filterCodeSnippetsByTarget(target: Function, method: string): Array<CodeSnippetOptions>;
    filterTagsByTarget(target: Function, method: string): Array<string>;
    filterParametersByTarget(target: Function, method: string): Array<ParametersOptions>;
    filterResponseEntriesByTarget(target: Function, method: string): Array<ResponseEntryOptions>;
    filterModelByTarget(target: Function): Array<ModelOptions>;
    filterPropertyByTarget(target: Function): Array<PropertyOptions>;
}
